Firefox logoSi vous êtes utilisateur·rice de Firefox 57 (aussi appelé Firefox Quantum, actuellement en bêta et prévu pour sortir le 14 novembre) et que vous avez des extensions obsolètes installées, nous avons inclus une nouvelle fonctionnalité pour vous aider à trouver des remplaçants compatibles.

Dans le gestionnaire de modules complémentaires (menu Outils > Modules complémentaires), cliquez sur « Afficher les extensions obsolètes » pour voir une liste de vos extensions incompatibles.

Modules : Extensions : liens vers les extensions obsolètes

Cliquez sur « Trouver un module équivalent » et vous serez amené·e sur la page d’AMO d’une alternative compatible.

Modules : Extensions obsolètes : Trouver un module équivalent

Si un remplaçant identique n’a pas été identifié, vous atterrirez sur la page de la collection des extensions vedettes qui ne répertorie que des extensions compatibles.

Pour les extensions obsolètes améliorant les onglets qui ne peuvent pas être migrées actuellement à cause d’API indisponibles (certaines d’entre elles sont en cours de développement et ont la priorité pour une sortie dans les prochains mois), le bouton « Trouver un module équivalent » vous dirige vers une une collection composée par la communauté d’extensions améliorant les onglets et compatibles.

Trouver des alternatives avant Firefox 57

À cause du nombre de développeur·se·s qui mettent à jour leur extension tout proche de la sortie de la version 57, nous n’avons pas voulu commencer à recommander des alternatives avant la dernière minute. C’est pour cela que cette fonctionnalité n’existe que dans Firefox 57 et suivants. Toutefois, si vous utilisez actuellement Firefox 56 et voulez commencer à rechercher des alternatives aux extensions qui ne seront probablement pas rendues compatibles, il y a un outil de recherche d’extension qui pourrait vous aider.

Il n’est pas trop tard pour faire la migration

Pour les développeur·se·s d’extensions obsolètes qui seraient en cours de migration ou auraient des projets pour le faire à l’avenir, veuillez noter qu’une fois votre extension compatible vos utilisateur·rice·s ne seront plus invité·e·s à trouver un remplaçant et vos utilisateur·rice·s actuel·le·s recevront automatiquement la version mise à jour.

Il est toujours possible de passer à l’API WebExtensions, même si vous ne pouvez pas achever la migration à temps pour Firefox 57. Pour davantage d’informations sur la façon de migrer vos extensions obsolètes, référez-vous à ce guide.



Mozinet

Les captures ont été remplacées par leur équivalent en français.